
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f2f2f2;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.calculator {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 300px;
}

.display {
    width: 100%;
    font-size: 30px;
    padding: 10px;
    margin-bottom: 20px;
    text-align: right;
    border: none;
    background-color: #f8f8f8;
    border-radius: 5px;
}

.row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.button {
    flex: 1;
    font-size: 24px;
    padding: 15px;
    text-align: center;
    border: none;
    background-color: #e2e2e2;
    color: #2c2c2c;
    cursor: pointer;
    border-radius: 5px;
    margin: 5px;
}

.button.orange {
    background-color: #ffa500;
    color: #2c2c2c;
}
 .main .a {
        display: flex;
        justify-content: center;
        align-items: center;
      }

/* Media Queries */
@media only screen and (max-width: 400px) {
    .calculator {
        width: 90%;
    }

    .button {
        font-size: 20px;
    }
}

@media only screen and (max-width: 320px) {
    .button {
        font-size: 18px;
    }
}

    
  